package dataLoad;

import java.util.ArrayList;

import dataModel.Order;
/**
* <h1>DishLoader</h1>
* Class responsible for reading the data from
* an input file that contains information about
* orders.
*
* @version 1.0
* @since   2017-07-22
*/
public class OrderLoader extends AbstractRecordLoader<Order> {

	public OrderLoader() {
		// TODO Auto-generated constructor stub
	}

	/**
 	 * Adds a record in the input list given the tokens of a
 	 * row.
 	 * 
 	 * @param tokens: a list of fields from a row of the input file
 	 * @param orders: list which holds the information about the orders
 	 * 
 	 * @return 0
 	 */
	@Override
	public int constructObjectFromRow(String[] tokens, ArrayList<Order> orders) {
		int id;
		String dishName;
		String empName;
		double timeToMake;
		int stars;
		
		id = Integer.parseInt(tokens[0]);
		dishName = tokens[1];
		empName = tokens[2];
		timeToMake = Double.parseDouble(tokens[3]);
		stars = Integer.parseInt(tokens[4]);
		
		
		Order o = new Order(id, dishName, empName, timeToMake, stars);
		orders.add(o);	
		return 0;
	}

}
